<?php
// +-----------------------------------------------------------------------+
// | PhpWebGallery - a PHP based picture gallery               |
// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
// +-----------------------------------------------------------------------+

/*  VD_Language_Switch Plugin */
global $user, $template, $conf, $lang;

if (!isset($user['is_the_guest']))
{ die('You are not authorized to access this page'); };

if ( isset( $_GET['lang']) )
{
  if ( !empty($_GET['lang'] ) and 
  file_exists( PHPWG_ROOT_PATH.'language/'.$_GET['lang'].'/common.lang.php') )
  {
    if ($user['is_the_guest'] or $user['status'] == 'generic')
    {
      setcookie( 'pwg_lang_switch', $_GET['lang'], 
        time()+60*60*24*30, cookie_path() );
    }
    else
    {
        $query = '
    UPDATE '.USER_INFOS_TABLE.'
    SET language = \''.$_GET['lang'].'\'
    WHERE user_id = '.$user['id'].'
    ;';
      pwg_query($query);
    }
    $user['language'] = $_GET['lang'];
  }
}
// Users have $user['language']
// Guest or generic members will use their cookied language !

if (($user['is_the_guest'] or $user['status'] == 'generic')
  and isset( $_COOKIE['pwg_lang_switch'] ) )
{ $user['language'] = $_COOKIE['pwg_lang_switch']; }

@include_once(get_language_filepath( 'common.lang.php','',$user['language'] ) );
@include_once(get_language_filepath( 'local.lang.php', '', $user['language']) );
if ( isset( $_GET['lang']) ) { redirect( make_index_url() ); }

$available_lang = get_languages();
foreach ( $available_lang as $code => $displayname )
{
  $qlc_url = add_url_params( make_index_url(), array( 'lang' => $code ) );
  $qlc_alt = ucwords( $displayname );
  $qlc_title =  $qlc_alt;
  $qlc_img =  PHPWG_PLUGINS_PATH.'vd_language_switch/icons/'
       . $code . '.gif';
  if ( $code !== $user['language'] and file_exists($qlc_img) )
  {
    $template -> concat_var( 'PLUGIN_INDEX_ACTIONS',
      '<li><a href="' . $qlc_url . '" ><img src="' . $qlc_img . '" alt="'
      . $qlc_alt . '" title="'
      . $qlc_title . '" style="border: 1px solid #000000; ' 
      . ' margin: 0px 2px;" /></a></li>');
  }
}
?>